<?xml version="1.0" encoding="UTF-8"?>
<feature
      id="org.eclipse.hawk.service.api.feature"
      label="Hawk API Feature"
      version="2.2.0.202207061608"
      provider-name="Eclipse.org">

   <description>
      This feature provides the Hawk web services API and the basic
integration with Apache Artemis, the SLF4J logging framework
and Apache HttpClient.
   </description>

   <copyright>%copyright</copyright>

   <license url="%licenseURL">%license</license>

   <requires>
      <import plugin="org.slf4j.api" version="1.7.2" match="greaterOrEqual"/>
      <import plugin="org.apache.thrift" version="0.13.0" match="greaterOrEqual"/>
      <import plugin="org.eclipse.hawk.service.artemis" version="2.0.0" match="greaterOrEqual"/>
      <import plugin="com.google.guava" version="27.1.0" match="greaterOrEqual"/>
      <import plugin="javax.annotation" version="1.2.0" match="greaterOrEqual"/>
   </requires>

   <plugin
         id="org.apache.thrift"
         download-size="266"
         install-size="524"
         version="0.13.0.202104281822"
         unpack="false"/>

   <plugin
         id="org.apache.httpcomponents.httpclient"
         download-size="1021"
         install-size="2201"
         version="4.5.13.v20210128-2225"
         unpack="false"/>

   <plugin
         id="org.apache.httpcomponents.httpcore"
         download-size="354"
         install-size="695"
         version="4.4.15.v20220209-2345"
         unpack="false"/>

   <plugin
         id="org.eclipse.hawk.service.artemis"
         download-size="15817"
         install-size="17297"
         version="2.2.0.202207061608"
         unpack="false"/>

   <plugin
         id="org.apache.commons.codec"
         download-size="367"
         install-size="700"
         version="1.14.0.v20200818-1422"
         unpack="false"/>

   <plugin
         id="org.apache.commons.logging"
         download-size="71"
         install-size="145"
         version="1.2.0.v20180409-1502"
         unpack="false"/>

   <plugin
         id="org.slf4j.api"
         download-size="51"
         install-size="101"
         version="1.7.30.v20200204-2150"
         unpack="false"/>

   <plugin
         id="org.apache.commons.beanutils"
         download-size="248"
         install-size="512"
         version="1.8.0.v201205091237"
         unpack="false"/>

   <plugin
         id="org.apache.commons.collections"
         download-size="617"
         install-size="1241"
         version="3.2.2.v201511171945"
         unpack="false"/>

   <plugin
         id="org.apache.httpcomponents.httpcore-nio"
         download-size="394"
         install-size="856"
         version="4.4.15.v20220210-0013"
         unpack="false"/>

   <plugin
         id="com.google.guava"
         download-size="2963"
         install-size="6687"
         version="30.1.0.v20210127-2300"
         unpack="false"/>

   <plugin
         id="org.eclipse.hawk.service.api"
         download-size="2108"
         install-size="4923"
         version="2.2.0.202207061608"
         unpack="false"/>

</feature>
